Search
Get leaks overview
List persisted leak sources for a search with their status, counts, pagination hints, and fetch URLs.
GET
/
search
/
{id}
/
results
/
leaks
Get leaks overview
curl --request GET \
--url https://api.osint.ly/search/{id}/results/leaks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.osint.ly/search/{id}/results/leaks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.osint.ly/search/{id}/results/leaks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"sources": [
{
"name": "Snusbase",
"key": "snusbase",
"status": "success",
"count": 214,
"fetch_url": "https://api.osint.ly/search/d290f1ee-6c54-4b01-90e6-d701748f0851/results/leaks/snusbase",
"pagination": {
"page_size": 100,
"total_pages": 3
},
"logo": null,
"description": null
}
]
},
"meta": {
"environment": "production",
"timestamp": "2026-05-27T12:00:30.000Z"
}
}Was this page helpful?
⌘I
Get leaks overview
